# -*- coding: iso-8859-15 -*-
# (c) Mikael Högqvist

import unittest, selector

from paste.fixture import TestApp
from stellaris.service import Example
from benri.utils import test_wrapper

class TestExample(unittest.TestCase):

    def setUp(self):
        app = Example()
        self.testapp = TestApp(test_wrapper(app))

    def testExampleGet(self):
        """Verifies the return from the root-document."""
        res = self.testapp.get('/')
        
        # check that the response body and status are correct
        self.assertEqual(res.body, '')
        self.assertEqual(res.status, 200)
        
        data = 'Hello World!'
        
        res = self.testapp.post('/post_here/', params=data)
        res = self.testapp.get('/')
        
        self.assertEqual(res.body, data)
        
if __name__ == '__main__':
    suite = unittest.TestSuite()
    suite.addTest(TestCollectionIndex('testExampleGet'))
    unittest.TextTestRunner(verbosity=2).run(suite)
#    unittest.main()
